IMFI Bugs - Bug #3424

[HR-Time Data]perbaikan report cuti dimana jika memilih periode januari 2025 tidak ada history cuti
nya padahal di data nya sudah ada (contoh beda employee)

02/13/2025 11:34 AM - Muhammad Bintar

Status:
Priority:
Assignee:

Category:

Target version:

Closed
Normal
shofwan shiddiq

Start date: 02/13/2025
02/18/2025
0%

0.00 hour
1.00 hour

Due date:
% Done:
Estimated time:

Spent time:

Description

dear tim developer mohon supportnya untuk perbaikan report cuti dimana jika memilih periode januari 2025 tidak ada history cuti nya
padahal di data nya sudah ada.
contoh employeeid 20050700
Employee Search
Emplayee ID: 20050700 Employee ID: 20050700 Employee Type: | Permanent oA
External ID: External ID: Pasition: Administration Staff
Full Name: Full Name: SUST SARAGIH Organization: Pematang Siantar Branch
Employes Office: = Employes Status: | Adtive Grade: Staff
Employes Status: v -
Search  Master Data
Employes List Absence v | View Vet All MD
Emgloges ID Emgiayes Name Absence
20050700 SUSI SARAGIH
Start Period 5 End Period: 3 | Search
L 4 Refres]
Stan Date = EndDawm AbsenceType | Desaiption ID on Behalf AbsenceAddress | AbsencePhone | User Change Last Change Created By Created Date
130172025 130112025 AnnualLeave (5 ACARA - - 20050700 1000112025 20050700 2025011013258
Tahun) KELUARGA 11:32:58
08/07/2024 10072024 AnnualLeave (>5  ACARA 20050700 25/06/2024 20050700 20240625110004
- Tahun) KELUARGA, 11:00:04
nama sp nya Rpt_IMFI_HR_TM_Cuti
kalau di SP nya ane komen di bagian sini, keluar data nya.

B | B NewQuery B 2xA[92-C-|E] |5 ms -|mpEE- @ sakey |
pbil_Proc = | P Execute =TT | E'n?jmrj | = %= | € 3= | W _

= I | MINOVAIS-SERVER..r_md_emp_md0018 MINOVAIS-SERVER...r_md_emp_md0017 SOLOuery1.sql - rem...obil_Prod (sa (B1))* & X -
b --AND md18.start_date »= ( {@year + @month —

- +'e1" ) ~
nd_emp_md0050_perfermance_sub_kpi AND
nd_emp_md0051_pefermance_qualification ((fyear+@imonth+ @1’ between mdl8.start_date and mdl8.end_date) or (@year
hd_emp_md0052 LEFT J0IN hr_md_emp md88l7 mdl7 ON mdl.landscape = mdl7.landscape
hd_emp_md0055 AND mdl.emp_id = mdl7.emp_id I
hd_emp_md0DE0 AND mdl7.end_date <= ( @year + @month |
+ '31' )
ié-emp_md0062 travel_header AND md17.start_date »= ( f@year + @month 1
nd_emp_md0063_travel_route — —
nd_emp_md0064 travel_accomadation = --INNER JOIN base_cust_ref_absencetype abst ON mdl.landscape = abst.landscape |
nd_emp_md0065_travel_cost -- AND abst.absencetype = md1l8.absence_type I
nd_emp_md0030 - AND abst.quotadeduction = "Y' _:
hd_emp_md0111 CEFT JUIT Base cUst Tet emp area ares ON maZ landscape - area-landscape
hd_emp_md0112 AND md2.employee_area = area.emp_area
hd_emp_md0125 WHERE  mdl.landscape = @landscape .
- - ANN ( mdl.emn id = flemn id

nd_emp_md3011 W00% - 4 »
nd_emp_md3047
nd_emp_performance_detail_VADS EE Reauls Eﬁ Hessones
hd_emp_performance_header VADS emp_id full_name pos area office awal akhir  absorby  description  durasi
hd_ernp_resign 1 SUSI SARAGIH  Administration Staff SUMATERA UTARA-ACEH  Pematang Siantar MULL NULL  NULL NULL 0

hility

mredirar Filkaradl

DECLARE @landscape VARCHAR = '100'
DECLARE @organisasi VARCHAR ="
DECLARE @companycode VARCHAR = '1000'
DECLARE @off VARCHAR ="

DECLARE @area VARCHAR ="

DECLARE @month VARCHAR ='01'
DECLARE @year VARCHAR = '2025'
DECLARE @emp_id VARCHAR = 20050700

remote.minovais.com:7071
database sql server 2014
remote.minovais.com, 1452

History

#1 - 02/13/2025 02:14 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 02/14/2025 01:49 PM - shofwan shiddiq

- File clipboard-202502141349-mb8p6.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar
Dear Mas Bintar, sp nya sudah di update ya dan sudah muncul.

apabila start date, atau enddate dari periode cuti berada di bulan yang sama dengan bulan yg di filter, maka data akan muncul

Update : [Rpt_IMFI_HR_TM_Cuti]
=] Report Attendance 20050700 | SUSISARAGIH | Administration Staff S“MAT/EE‘;&”ARA | Pematang Siantar | 03/01/2025 | 03/01/2025 | Annual Leave (~5 Tahun) 0
#3 - 02/17/2025 02:32 PM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to shofwan shiddiq

okeh sudah di deploy

Files

clipboard-202502131128-fqgrv.png 116 KB 02/13/2025 Muhammad Bintar
clipboard-202502131130-yxxxd.png 62.9 KB 02/13/2025 Muhammad Bintar
clipboard-202502131133-ewaeb.png 134 KB 02/13/2025 Muhammad Bintar
clipboard-202502141349-mb8p6.png 280 KB 02/14/2025 shofwan shiddiq
